package org.mesopotamia;

/**
 * @author Base interface for loaders
 */
public interface Loader {
	
	/**
	 * @param loadLevelId Load level primary key
	 * @return Loader data converted to appropriate Java representation. 
	 * E.g. array of tokens for token loader.
	 */
	Object getData(int sourceUnitId, Integer scanId) throws MesopotamiaException;

}
