/**
 * 
 */
package org.mesopotamia;

public class MesopotamiaToken extends biz.hammurapi.antlr.Token {
	
	private int id;
	private boolean isWhitespace;
	private String typeName;
	
	public MesopotamiaToken(int id, boolean isWhitespace) {
		this.id = id;
		this.isWhitespace = isWhitespace;
	}
	
	public int getId() {
		return id;
	}
	
	public boolean isWhitespace() {
		return isWhitespace;
	}
	
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	
	public String getTypeName() {
		return typeName;
	}
	
	@Override
	public String toString() {
		StringBuilder sb=new StringBuilder();
		sb.append("[");
		sb.append(getClass().getName());
		sb.append("] ");
		sb.append("id=");
		sb.append(getId());
		sb.append(" typeName=");
		sb.append(getTypeName());
		if (isWhitespace()) {
			sb.append(" whitespace");
		}
		sb.append(" ");
		sb.append(super.toString());
		return sb.toString();
	}
}